Subject: RE: bug#30073: 27.0.50; dired-do-delete ignores customization for short answers

From: Drew Adams <[email-masked]>
Date: Thu, 25 Jan 2018 10:04:53 -0800 (PST)

> Done.

The function name is not good.  `read-answer' suggests reading an answer
to any question.  This is very far from that.  This is (IIUC) only about
reading an answer to a yes/no question (typically a confirmation question).

`read-confirmation' would be much clearer, as any yes/no question can
pretty much be considered a question asking for confirmation.

(`read-yes-no' would be more exact, but for some (given history) it
would suggest reading the inputs `yes' and `no', and not just reading
anything that is interpreted as yes or no.)

Anyway, as I made clear, I'm not crazy about this fix.

If we want to generalize reading yes/no questions we should do so
in a better way, including providing an easy way for the possible
answers to be expressed in other languages than English.